Best · SKU RF-RFC015
BEST Back Cover Glass Glue Solution 20ml for iPhone 8/8P/X
$4.00
$6.00
-33% · Ahorras $2.00
● En existencias
- This product is suitable for cleaning the stubborn OCA glue on the back cover glass of 8/8P/X after repair. It can effectively and thoroughly clean the OCA glue and have no adhesive remains.
- Spraying the solution onto the surface of the OCA glue,after 40 second, scraping the OCA glue with scraper gently. The operation can be repeated if there is the residue of the glue.
Cantidad
Pedido mínimo: 10
| Marca | Best |
| SKU | RF-RFC015 |
| Modelo compatible | Universal / 通用 |
| Voltaje / Enchufe | - |
| Potencia | - |
| Temperatura | - |
| Garantía | |
| Pedido mínimo | 10 pcs |
Los pedidos se envían desde Shenzhen en 48 horas. El envío exprés tarda entre 5 y 9 días hábiles y el económico entre 12 y 20 días hábiles. El envío exprés es gratis en pedidos superiores a $300.00.
El paquete incluye: 1 x unidad principal, 1 x cable de alimentación, 1 x manual de usuario en español, accesorios y útiles necesarios. Cajas de venta al detalle disponibles bajo pedido para pedidos al por mayor.
Transferencia bancaria T/T, PayPal, Wise, Western Union, Alipay y tarjeta de crédito. En pedidos al por mayor se admite un 30 % de depósito con el resto antes del envío.
Productos relacionados
-18%
2UUL
2UUL DA79 Mini MicroTip Sharpener for Quickly Sharpening Repairing Tips of Tweezers and Precision Tools
$20.49
$24.99
CODE: RF-RFC003
-12%
2UUL
2UUL SC22 SpareScrew12 Screws for iPhone Repairs (1200Pcs/Pack)
$7.49
$8.49
CODE: RF-RFC004
-24%
WYLIE
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips
$18.99
$24.99
CODE: RF-RFC005
-18%
2UUL
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack)
$4.49
$5.49
CODE: RF-RFC006
-33%
2UUL
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack)
$1.99
$2.99
CODE: RF-RFC007
-14%
2UUL
2UUL SC13 IP Color Screw Charge Port Spare Screw Kit (360pcs/Box)
$9.49
$10.99
CODE: RF-RFC009
-10%
MaAnt
MaAnt KM1 Electric Quick Grinder for Tweezers and Precision Tools
$13.49
$14.99
CODE: RF-RFC010